#
# spec file for package python-oslo.middleware
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global sname oslo.middleware
Name:           python-oslo.middleware
Version:        3.19.0
Release:        3.2
Summary:        OpenStack oslo.middleware library
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://launchpad.net/%{sname}
Source0:        https://pypi.io/packages/source/o/%{sname}/%{sname}-%{version}.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-Jinja2 >= 2.8
BuildRequires:  python-WebOb >= 1.2.3
BuildRequires:  python-debtcollector >= 1.2.0
BuildRequires:  python-devel
BuildRequires:  python-fixtures >= 3.0.0
BuildRequires:  python-mock >= 2.0
BuildRequires:  python-oslo.config >= 3.14.0
BuildRequires:  python-oslo.context >= 2.9.0
BuildRequires:  python-oslo.i18n >= 2.1.0
BuildRequires:  python-oslo.utils >= 3.16.0
BuildRequires:  python-oslotest >= 1.10.0
BuildRequires:  python-pbr >= 1.6
BuildRequires:  python-six >= 1.9.0
BuildRequires:  python-stevedore >= 1.16.0
BuildRequires:  python-testtools >= 1.4.0
Requires:       python-Jinja2 >= 2.8
Requires:       python-WebOb >= 1.2.3
Requires:       python-debtcollector >= 1.2.0
Requires:       python-oslo.config >= 3.14.0
Requires:       python-oslo.context >= 2.9.0
Requires:       python-oslo.i18n >= 2.1.0
Requires:       python-oslo.utils >= 3.16.0
Requires:       python-six >= 1.9.0
Requires:       python-stevedore >= 1.16.0
BuildArch:      noarch

%description
Oslo middleware library includes components that can be injected into wsgi
pipelines to intercept request/response flows. The base class can be enhanced
with functionality like add/delete/modification of http headers and support
for limiting size/connection etc.

%package doc
Summary:        Documentation for OpenStack middleware library
Group:          Development/Languages/Python
BuildRequires:  python-Sphinx
BuildRequires:  python-oslosphinx >= 2.5.0

%description doc
Oslo middleware library includes components that can be injected into wsgi
pipelines to intercept request/response flows. The base class can be enhanced
with functionality like add/delete/modification of http headers and support
for limiting size/connection etc.
This package contains the documentation.

%prep
%setup -q -n %{sname}-%{version}

%build
%{py2_build}

# generate html docs
%{__python2} setup.py build_sphinx
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
%{__python2} setup.py testr

%files
%license LICENSE
%doc README.rst ChangeLog
%{python2_sitelib}/oslo_middleware
%{python2_sitelib}/*.egg-info

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Tue Oct  4 2016 dmueller@suse.com
- global requirements sync
- switch to stable/newton
* Fri Sep 30 2016 dmueller@suse.com
- update to 3.19.0:
  * Remove pot files
  * Fix inline docstring to use default path (not /status)
  * Updated from global requirements
  * Updated from global requirements
  * Fixed typo in SSL
* Wed Aug 10 2016 tbechtold@suse.com
- update to version 3.16.0
  * Do not add a default content type when replying
  * Expose sample config opts for http-proxy-to-wsgi
  * Deprecate using String as valid value for allowed_origin.
  * Deprecate multiple config block parsing.
  * Fix unit tests on Windows
  * Fix spelling of config option help
  * Updated from global requirements
* Fri Jun  3 2016 tbechtold@suse.com
- update to 3.11.0:
  * cors: remove unused import
  * Updated from global requirements
  * Add a simple __main__ to easily show healthcheck output
  * Removed simple headers from documentation examples
  * Added PATCH method to default config
  * Added set_defaults method to oslo_middleware.cors
  * Set default allow methods to those defined in RFC 2616
  * Removed default headers from CORS_OPTS
  * Imported Translations from Zanata
  * Updated from global requirements
  * Remove direct dependency on babel
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * cors: prevent WebOb setting a default Content-Type
  * CORS Middleware now honors upstream Vary header
  * Disable http_proxy_to_wsgi middleware by default
  * CORS tests now use a transient configuration
  * Updated config documentation for cors_middleware
  * Updated from global requirements
  * Updated from global requirements
  * Revert "work around doc build error"
- use renderspec source service
- update spec from upstream
* Mon Apr  4 2016 tbechtold@suse.com
- update to 3.8.0:
  * Updated from global requirements
  * Update .gitreview for stable/mitaka
- Adjust Requires
* Thu Mar  3 2016 tbechtold@suse.com
- update to 3.7.0:
  * work around doc build error
  * Update translation setup
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Imported Translations from Zanata
  * Remove ordereddict from requirements.txt
  * Updated from global requirements
  * Remove old references to namespace packages
  * test: pass enforce_type=True when using CONF.set_override
  * Updated from global requirements
  * Change LOG.warn to LOG.warning
  * Fix the url in the CONTRIBUTING.rst
  * Python 3 deprecated the logger.warn method in favor of warning
  * assertIsNone(val) instead of assertEqual(None,val)
  * Updated from global requirements
  * [fix-compat] More definitions for oslo.middleware
  * Updated from global requirements
  * Re-Add oslo.middleware namespace for backward compat
  * Removes MANIFEST.in as it is not needed explicitely by PBR
  * Support Unicode request_id on Python 3
  * Drop python 2.6 support
- Adjust Requires according to requirements.txt
* Sun Nov 29 2015 bwiedemann@suse.com
- update to 3.0.0
  * Move cors allowed_origin check into add_origin
  * Backward compat for allowed_origin
  * remove bad entry point test logic
  * Remove python 2.6 classifier
  * Switched StrOpt to ListOpt in CORS allowed_origins
  * Enable latent CORS configuration via pastedeploy
  * Remove python 2.6 and cleanup tox.ini
  * Add oslo_config program support to paste middleware
  * Define entry points for filter factories for Paste Deployment
  * Remove oslo namespace package
  * add missing shortcut for HTTPProxyToWSGI middleware
  * Revert "Add 'X-Auth-Token' default header to CORS middleware"
  * Add a disabled by ports -> files healthcheck plugin
  * Add 'X-Auth-Token' default header to CORS middleware
* Mon Nov 16 2015 bwiedemann@suse.com
- update to 2.10.0
  * Fix coverage configuration and execution
  * No need for Oslo Incubator Sync
  * ssl: deprecated in favor of http_proxy_to_wsgi
  * Introduce HTTP Proxy to WSGI middleware
  * Imported Translations from Zanata
  * Fix string formatting
  * Fix typos in docstring
  * Include changelog/history in docs
  * Add shields.io version/downloads links/badges into README.rst
  * Change ignore-errors to ignore_errors
  * Fix the home-page in setup.cfg with Oslo wiki page
  * Add plugin doco generated with stevedore.sphinxext
  * Avoid any body when request is a HEAD request
  * Further improve the healthcheck output
  * Allow the healthcheck middleware to provide more detailed responses
  * Updated from global requirements
  * Imported Translations from Zanata
  * cors: fix wildcard in actual request
  * cors: fix filter with oslo_config_project is set
* Sat Aug 29 2015 tbechtold@suse.com
- update to 2.8.0:
  * Split option discovery function by middleware
  * Updated from global requirements
  * Updated from global requirements
  * Fix remarks missed on #209817
  * Added new test for CORS Simple Headers
  * Restore backward compat of paste factory
  * Do not dump HealthcheckResult class source
  * Updated from global requirements
  * Renamed latent_configuration to _latent_configuration
  * Added latent properties to CORS middleware
  * Declare some methods static
  * Allow to get option from paste-deploy
  * Remove usage of oslo.config global
  * Imported Translations from Transifex
  * Updated from global requirements
  * Imported Translations from Transifex
  * Updated from global requirements
  * Imported Translations from Transifex
  * Updated from global requirements
  * Updated from global requirements
  * Updated from global requirements
  * Added verbose debug logging to CORS
- Adjust Requires according to requirements.txt
* Wed Jul 29 2015 tbechtold@suse.com
- Unify spec file. Use fedora compatible files macros
* Mon Jul 20 2015 dmueller@suse.com
- update to 2.4.0:
  * Fix mocking for 1.1.0
  * Updated from global requirements
  * Imported Translations from Transifex
  * Updated from global requirements
  * Support PasteDeploy
  * Add tox target to find missing requirements
* Thu Jun 25 2015 tbechtold@suse.com
- update to 2.3.0:
  * Drop use of 'oslo' namespace package
* Wed Jun 24 2015 tbechtold@suse.com
- update to 2.2.0:
  * CORS Middleware defers to server response
  * Updated from global requirements
  * Drop use of 'oslo' namespace package
  * Use correct oslo_middleware.base methods in CORS middleware
  * Added request to parse_response
  * Updated from global requirements
* Wed Jun 10 2015 tbechtold@suse.com
- update to 2.1.0:
  * Revert "Remove oslo namespace package"
* Mon Jun  8 2015 tbechtold@suse.com
- update to 1.3.0:
  * Added CORS wildcard handling
  * Drop use of 'oslo' namespace package
  * Updated from global requirements
  * Advertise support for Python3.4 / Remove support for Python 3.3
  * Remove run_cross_tests.sh
- Update Requires according to requirements.txt
* Thu May  7 2015 dmueller@suse.com
- update to 1.2.0:
  * Imported Translations from Transifex
  * Update CORS tests to use config fixture's load_raw_values
  * Updated from global requirements
* Tue Mar 10 2015 tbechtold@suse.com
- update to 1.0.0:
  * Updated from global requirements
- update Requires
* Tue Feb 24 2015 tbechtold@suse.com
- update to version 0.5.0:
  * Update the list of packages in setup.cfg
  * Updated from global requirements
  * Adds missing files
- Add _service file
- Cleanup SLES11 conditionals
* Thu Feb  5 2015 tbechtold@suse.com
- update to version 0.4.0
  * Fixes the healthcheck factory method and docs
  * add shortcut to healthcheck middleware
  * Updated from global requirements
  * Move i18n module to a private name
  * Update Oslo imports to remove namespace package
  * Add healthcheck middleware
  * Updated from global requirements
  * Fix bug tracker link in readme
- Adjust Requires according to requirements.txt
* Mon Jan 12 2015 dmueller@suse.com
- update to 0.3.0:
  * Move files out of the namespace package
  * Don't use default value in LimitingReader
  * switch to oslo.context
  * Workflow documentation is now in infra-manual
  * Updated from global requirements
  * Flesh out the README
  * Imported Translations from Transifex
  * Add pbr to installation requirements
  * Remove extraneous vim editor configuration comments
  * Support building wheels (PEP-427)
  * Fix coverage testing
  * Expose sizelimit option to config generator
* Wed Oct 29 2014 tbechtold@suse.com
- Initial version
